Loading...
Searching...
No Matches
cursor.hpp File Reference

## Description

Provides mongocxx::v_noabi::cursor.

Go to the source code of this file.

## Classes

class | mongocxx::v_noabi::cursor
| A cursor over the documents returned by a query to a MongoDB server. More...
class | mongocxx::v_noabi::cursor::iterator
| An input iterator of documents in a MongoDB cursor result set. More...

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Functions

v_noabi::cursor | mongocxx::v_noabi::from_v1 (v1::cursor v)
| Convert to the mongocxx::v_noabi equivalent of v.
v1::cursor | mongocxx::v_noabi::to_v1 (v_noabi::cursor v)
| Convert to the mongocxx::v1 equivalent of v.